# Follow the Winner (FW)
Follow the Winner (FW) strategies believe that the best performing asset in the past will continue to perform well in the future. The following FW strategies are implemented in this package so far:
1. Universal Portfolio (UP)
2. Exponential Gradient (EG)

## Universal Portfolio
Universal Portfolio (UP) is a FW strategy proposed by [Cover (1991)](https://doi.org/10.1111/j.1467-9965.1991.tb00002.x). UP aims to maximize the cumulative reurn of the portfolio during the investment horizon.

See [UP](https://shayandavoodii.github.io/OPS.jl/dev/funcs/#OPS.UP-Tuple{Matrix{Float64}}).

## Exponential Gradient
Exponential Gradient (EG) is a FW strategy proposed by [Helmbold et al. (1998)](https://doi.org/10.1007/3-540-49257-7_5). Authors claim that EG can achieve almost the same wealth as the best constantrebalanced portfolio (BCRP) determined in hindsight from the actual market outcomes.

See [EG](https://shayandavoodii.github.io/OPS.jl/dev/funcs/#OPS.EG-Tuple{Matrix{Float64}}).